Skip to main content
POST
/
v1
/
runs
Start a workflow run
curl --request POST \
  --url https://app.galaxy.ai/api/v1/runs \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "workflowId": "<string>",
  "values": {},
  "graphInputOverrides": {},
  "nodeOverrides": [
    {
      "id": "<string>",
      "type": "<string>",
      "position": {
        "x": 123,
        "y": 123
      },
      "data": "<unknown>"
    }
  ],
  "source": "ui"
}
'
{
  "runId": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
workflowId
string
required
Minimum string length: 1
values
object
graphInputOverrides
object
viewport
object
webhook
object
nodeOverrides
object[]
source
enum<string>
Available options:
ui,
mcp,
api

Response

Successful response

runId
string
required